from logging import Logger
from typing import ClassVar, List, Type

from great_expectations.datasource.fluent.file_path_asset_base import _RegexDataAssetBase
from great_expectations.datasource.fluent.interfaces import DataAsset as DataAsset
from great_expectations.datasource.fluent.pandas_datasource import _PandasDatasource

logger: Logger

class CSVAsset(_RegexDataAssetBase): ...
class ExcelAsset(_RegexDataAssetBase): ...
class JSONAsset(_RegexDataAssetBase): ...
class ORCAsset(_RegexDataAssetBase): ...
class ParquetAsset(_RegexDataAssetBase): ...
class FeatherAsset(_RegexDataAssetBase): ...
class FWFAsset(_RegexDataAssetBase): ...
class HDFAsset(_RegexDataAssetBase): ...
class HTMLAsset(_RegexDataAssetBase): ...
class PickleAsset(_RegexDataAssetBase): ...
class SASAsset(_RegexDataAssetBase): ...
class SPSSAsset(_RegexDataAssetBase): ...
class StataAsset(_RegexDataAssetBase): ...
class XMLAsset(_RegexDataAssetBase): ...

class _PandasFilePathDatasource(_PandasDatasource):
    asset_types: ClassVar[List[Type[DataAsset]]]
    assets: List[_RegexDataAssetBase]
